### Function Macro

# GLib GNUC_DEPRECATED_FOR

since: 2.26

#### Declaration

    #define G_GNUC_DEPRECATED_FOR (
      f
    )

#### Description

Like `G_GNUC_DEPRECATED`, but names the intended replacement for the deprecated symbol if the version of gcc in use is new enough to support custom deprecation messages.

Place the attribute after the declaration, just before the semicolon.

    int my_mistake (void) G_GNUC_DEPRECATED_FOR(my_replacement);

See the GNU C documentation for more details.

Note that if `f` is a macro, it will be expanded in the warning message. You can enclose it in quotes to prevent this. (The quotes will show up in the warning, but it’s better than showing the macro expansion.)

Available since: 2.26

This function is not directly available to language bindings.

#### Parameters

`f`

  Type: `-`

  The intended replacement for the deprecated symbol, such as the name of a function.